#/usr/bin/python
# A sample checksysreport plugin.
# Copyright 2009 Pierre Amadio
# pamadio@redhat.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys
sys.path.append("/usr/share/checksysreport")
import globals

class sample (globals.checkerPlugin):

    def __init__(self,name,sysreportchecker,options):
        #Here, you specify wich hooks the plugins are interested in (top, bottom and package).
        globals.checkerPlugin.__init__(self,name,sysreportchecker,options,["top","bottom","package"])

        

    def run(self,args={}):
        out=u""
        out+="Running Sample plugin in the %s hook\n"%args["hook"]
        out+="args=%s\n"%repr(args)
        out+="options=%s\n"%repr(self.options)
        out+="\n"
        return out

